Package org.osgi.service.remoteserviceadmin.namespace

# Class TopologyNamespace

java.lang.Object
org.osgi.resource.Namespace
org.osgi.service.remoteserviceadmin.namespace.TopologyNamespace

public final class TopologyNamespace extends Namespace
Remote Services Topology Manager Capability and Requirement Namespace.

This class defines the names for the attributes and directives for this namespace.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CAPABILITY_POLICY_ATTRIBUTE`
The capability attribute used to specify the policy or policies supported by this topology manager.
`static final String`
`FAIL_OVER_POLICY`
The attribute value for Topology managers with a fail-over policy
`static final String`
`PROMISCUOUS_POLICY`
The attribute value for Topology managers with a promiscuous policy
`static final String`
`TOPOLOGY_NAMESPACE`
Namespace name for Remote Services topology manager capabilities and requirements.

### Fields inherited from class org.osgi.resource.Namespace

`CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TOPOLOGY_NAMESPACE

public static final String TOPOLOGY_NAMESPACE
Namespace name for Remote Services topology manager capabilities and requirements.

See Also:
  - Constant Field Values

### CAPABILITY_POLICY_ATTRIBUTE

public static final String CAPABILITY_POLICY_ATTRIBUTE
The capability attribute used to specify the policy or policies supported by this topology manager. The value of this attribute must be of type `String` or `List<String>`. Policy names are typically implementation specific, however the Remote Services Specification defines the promiscuous and fail-over policies for common use cases.

See Also:
  - Constant Field Values

### PROMISCUOUS_POLICY

public static final String PROMISCUOUS_POLICY
The attribute value for Topology managers with a promiscuous policy

See Also:
  - `CAPABILITY_POLICY_ATTRIBUTE`
  - Constant Field Values

### FAIL_OVER_POLICY

public static final String FAIL_OVER_POLICY
The attribute value for Topology managers with a fail-over policy

See Also:
  - `CAPABILITY_POLICY_ATTRIBUTE`
  - Constant Field Values